# $Revision: 1.5 $, $Date: 2002/09/13 12:04:09 $
Summary:	PHP wrapper to the Image Magick Library
Summary(pl):	PHP-owy wrapper do biblioteki Image Magick
Name:		php-imagick
Version:	0.1.2
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/imagick-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	ImageMagick-devel
BuildRequires:	php-devel
Provides:	pear(imagick)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/php
%define		extensionsdir	%{_libdir}/php

%description
ImageMagick is a robust collection of tools and libraries to read,
write, and manipulate an image in many image formats (over 68 major
formats) including popular formats like TIFF, JPEG, PNG, PDF, PhotoCD,
and GIF. With ImageMagick you can create images dynamically, making it
suitable for Web applications. You can also resize, rotate, sharpen,
color reduce, or add special effects to an image and save your
completed work in the same or differing image format.

%description -l pl
ImageMagick to duy zestaw narzdzi i bibliotek do odczytu, zapisu i
modyfikowania obrazkw w wielu formatach (ponad 68 gwnych), w tym
popularnych, takich jak TIFF, JPEG, PNG, PDF, PhotoCD i GIF. Za pomoc
ImageMagick mona dynamicznie tworzy obrazki, co jest przydatne w
aplikacjach WWW. Mona je take przeskalowywa, obraca, wyostrza,
zmniejsza ilo kolorw - w tym samym lub innym formacie.

%prep
%setup -q -c

%build
cd imagick-%{version}
phpize
%configure \
	--with-imagick=/usr/X11R6/include/X11/

%{__make} CPPFLAGS="-DHAVE_CONFIG_H -I/usr/X11R6/include/X11/"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{extensionsdir}

install imagick-%{version}/modules/imagick.so $RPM_BUILD_ROOT%{extensionsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/php-module-install install imagick %{_sysconfdir}/php.ini

%preun
if [ "$1" = "0" ]; then
	%{_sbindir}/php-module-install remove imagick %{_sysconfdir}/php.ini
fi

%files
%defattr(644,root,root,755)
%doc imagick-%{version}/{CREDITS,EXPERIMENTAL,*.php}
%attr(755,root,root) %{extensionsdir}/imagick.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-imagick.spec,v $
Revision 1.5  2002/09/13 12:04:09  blues
- release 2 - added Provides pear(imagick) - STBR

Revision 1.4  2002/09/02 09:19:44  blues
- 0.1.2 (alpha) - STBR

Revision 1.3  2002/07/08 16:12:57  qboosh
- fixed CPPFLAGS - now imagick.so builds correctly
- release 2

Revision 1.2  2002/07/07 20:57:40  qboosh
- pl description, cosmetics

Revision 1.1  2002/07/03 13:53:35  blues
- initial revision
